Page MenuHomePhabricator

role::puppet::self requires a puppetmaster restart during apply
Closed, DeclinedPublic

Description

Right now during the first run after role::puppet::self is applied, the puppetmaster fails to start. This gets us into a broken state that can only be resolved with a 'service puppetmaster restart'.

Event Timeline

Andrew created this task.Mar 3 2016, 3:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2016, 3:36 PM

Just in case this helps with debugging, we tried this on Friday Feb. 26 and it was working. But when we tried it on Monday Feb. 29, it was not working.

chasemp triaged this task as Normal priority.Apr 4 2016, 2:07 PM
Andrew closed this task as Declined.Mar 21 2018, 7:27 PM